Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 1060)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 1061)
@@ -40,7 +40,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.treetagger.core.preferences.TreeTaggerPreferences;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.io.IOUtils;
@@ -149,7 +149,7 @@
 							corpusProperties.add(prop);
 						}
 						Index index = new Index(mainCorpus);
-						index.setParameters(new Query("[]"), corpusProperties, null, null, null, null);
+						index.setParameters(new CQLQuery("[]"), corpusProperties, null, null, null, null);
 						index.compute(monitor);
 						List<Line> lines = index.getAllLines();
 						LinkedHashMap<String, ArrayList<String>> lex = new LinkedHashMap<String, ArrayList<String>>();
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1060)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1061)
@@ -52,7 +52,7 @@
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.core.data.Vector;
 import org.txm.statsengine.r.core.data.VectorImpl;
@@ -233,7 +233,7 @@
 		Subcorpus tmp = null;
 		try {
 			this.subTask("Computing lexicon frequencies...");
-			tmp = corpus.createSubcorpus(new Query("[]"), "S"+corpus.getNextSubcorpusCounter(), true); //$NON-NLS-1$
+			tmp = corpus.createSubcorpus(new CQLQuery("[]"), "S"+corpus.getNextSubcorpusCounter(), true); //$NON-NLS-1$
 			if (tmp != null) {
 				fdist = CorpusManager.getCorpusManager().getCqiClient().fdist1(tmp.getQualifiedCqpId(), 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
 
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1060)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1061)
@@ -61,7 +61,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -132,7 +132,7 @@
 	 * The CQP query.
 	 */
 	@Parameter(key=TBXPreferences.QUERY)
-	protected Query pQuery;
+	protected CQLQuery pQuery;
 	
 	/**
 	 * The line index of the current index page.
@@ -271,7 +271,7 @@
 					line = lines.get(l);
 					List<List<String>> values = line.getUnitsProperties();
 					String s = values.get(p).get(t);
-					s = Query.addBackSlash(s);
+					s = CQLQuery.addBackSlash(s);
 					query += s + "|"; //$NON-NLS-1$
 				}
 				query = query.substring(0, query.length() - 1);
@@ -290,8 +290,8 @@
 	 * @param lines
 	 * @return
 	 */
-	public static List<Query> createQueries(List<Line> lines) {
-		List<Query> queries = new ArrayList<Query>();
+	public static List<CQLQuery> createQueries(List<Line> lines) {
+		List<CQLQuery> queries = new ArrayList<CQLQuery>();
 		for (Line line : lines) {
 			String query = ""; //$NON-NLS-1$
 			int nbToken = line.getUnitsProperties().get(0).size();
@@ -303,14 +303,14 @@
 				for (int p = 0; p < nbProps; p++) {
 					query += props.get(p).getName() + "=\""; //$NON-NLS-1$
 					String s = values.get(p).get(t);
-					s = Query.addBackSlash(s);
+					s = CQLQuery.addBackSlash(s);
 					query += s;
 					query += "\" & "; //$NON-NLS-1$
 				}
 				query = query.substring(0, query.length() - 3);
 				query += "] "; //$NON-NLS-1$
 			}
-			queries.add(new Query(query));
+			queries.add(new CQLQuery(query));
 		}
 		return queries;
 
@@ -387,7 +387,7 @@
 	@Override
 	public boolean loadParameters() {
 		this.pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(TBXPreferences.UNIT_PROPERTIES));
-		this.pQuery = new Query(this.getStringParameterValue(IndexPreferences.QUERY));
+		this.pQuery = new CQLQuery(this.getStringParameterValue(IndexPreferences.QUERY));
 		return true;
 	}
 	
@@ -788,7 +788,7 @@
 	 *
 	 * @return the query used
 	 */
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return pQuery;
 	}
 
@@ -989,7 +989,7 @@
 	}
 
 	public void setParameters(List<WordProperty> props) {
-		this.pQuery = new Query("[]"); //$NON-NLS-1$
+		this.pQuery = new CQLQuery("[]"); //$NON-NLS-1$
 		this.pProperties = props;
 		this.lexicon = null;
 	}
@@ -998,7 +998,7 @@
 	 * Sets the query.
 	 * @param query
 	 */
-	public void setQuery(Query query)	{
+	public void setQuery(CQLQuery query)	{
 		this.pQuery = query;
 	}
 	
@@ -1023,7 +1023,7 @@
 	
 	
 	
-	public void setParameters(Query query, List<WordProperty> props, Integer filterFmin, Integer filterFmax, Integer filterVmax, Integer nLinesPerPage) {
+	public void setParameters(CQLQuery query, List<WordProperty> props, Integer filterFmin, Integer filterFmax, Integer filterVmax, Integer nLinesPerPage) {
 		this.pQuery = query;
 		this.pProperties = props;
 		if (filterFmax != null) this.pFmaxFilter = filterFmax;
@@ -1036,7 +1036,7 @@
 	public boolean setParameters(TXMParameters parameters) {
 		try {
 			List<WordProperty> props = (List<WordProperty>) parameters.get("props"); //$NON-NLS-1$
-			Query query = (Query) parameters.get("query"); //$NON-NLS-1$
+			CQLQuery query = (CQLQuery) parameters.get("query"); //$NON-NLS-1$
 			Integer filterFmin = (Integer) parameters.get("filterFmin"); //$NON-NLS-1$
 			Integer filterFmax = (Integer) parameters.get("filterFmax"); //$NON-NLS-1$
 			Integer filterVmax = (Integer) parameters.get("filterVmax"); //$NON-NLS-1$
Index: tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java
===================================================================
--- tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java	(revision 1060)
+++ tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java	(revision 1061)
@@ -12,7 +12,7 @@
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * Test class for the concordances
@@ -56,7 +56,7 @@
 			if (subcorpusname != null) {
 				corpus = corpus.getSubcorpusByName(subcorpusname);
 			}
-			Query query = new Query(Query.fixQuery(queryString));
+			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString));
 			
 			List<WordProperty> properties = new ArrayList<WordProperty>();
 			for (String p : propertiesString) properties.add(corpus.getProperty(p));
@@ -84,7 +84,7 @@
 			Corpus corpus = CorpusManager.getCorpusManager().getCorpus(corpusname);
 			Partition partition = corpus.getPartition(partitionname);
 			
-			Query query = new Query(Query.fixQuery(queryString));
+			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString));
 			
 			List<WordProperty> properties = new ArrayList<WordProperty>();
 			for (String p : propertiesString) properties.add(corpus.getProperty(p));
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 0)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 1061)
@@ -0,0 +1,15 @@
+package org.txm.searchengine.core;
+
+/**
+ * Represent a search engine query
+ * 
+ * @author mdecorde
+ *
+ */
+public interface Query {
+	
+	public String getQueryString();
+	
+	public boolean isEmpty();
+	
+}

Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1060)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1061)
@@ -38,7 +38,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 /**
@@ -290,7 +290,7 @@
 			HashSet<String> values = new HashSet<String>();
 			for (int i = 0 ; i < indexes.length ; i++) {
 				int idx = indexes[i];
-				values.add(Query.addBackSlash(items[idx].getText(icol)));
+				values.add(CQLQuery.addBackSlash(items[idx].getText(icol)));
 			}
 			boolean firstValue = true;
 			for (String value : values) {
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportAsMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportAsMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportAsMacro.groovy	(revision 1061)
@@ -16,7 +16,7 @@
 import org.txm.rcp.IImageKeys
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 import org.txm.utils.io.FileCopy;
 
 import visuAnalec.elements.*
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/StructuresIndexMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/StructuresIndexMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/StructuresIndexMacro.groovy	(revision 1061)
@@ -89,7 +89,7 @@
 import org.txm.searchengine.cqp.corpus.Property
 import org.txm.searchengine.cqp.corpus.QueryResult
 import org.txm.searchengine.cqp.corpus.Subcorpus;
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 import org.txm.rcp.commands.*
 
 byte CQI_CONST_FIELD_MATCH = (byte) 0x10
@@ -146,7 +146,7 @@
 // function to print the hierarchical index of a query
 def print_index = { c, q, p, cut ->
 
-	QueryResult qr = c.query(new Query(q), "RES1", false);
+	QueryResult qr = c.query(new CQLQuery(q), "RES1", false);
 	Subcorpus subcorpus = c.createSubcorpus("RES1", qr);
 	p = subcorpus.getProperty(p)
 	def tC = subcorpus.getSize()
@@ -164,7 +164,7 @@
 
 	// appel du moteur
 	//println "QUERY=$q"
-	QueryResult qr = c.query(new Query(q), "RES1", false);
+	QueryResult qr = c.query(new CQLQuery(q), "RES1", false);
 	Subcorpus subcorpus = c.createSubcorpus("RES1", qr);
 	p = subcorpus.getProperty(p)
 	int csize = c.getSize()
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/SchemasProgressionMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/SchemasProgressionMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/SchemasProgressionMacro.groovy	(revision 1061)
@@ -20,7 +20,7 @@
 import org.txm.rcp.IImageKeys
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 
 import visuAnalec.elements.*
 
@@ -154,7 +154,7 @@
 		if (query == null) query = "<null>"
 		if (query.length() == 0) query = "<empty>"
 
-		query = new Query(query)
+		query = new CQLQuery(query)
 
 		int[] starts = new int[selectedUnits.size()];
 		int[] ends = new int[selectedUnits.size()];
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/UnitsListMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/UnitsListMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/exploit/UnitsListMacro.groovy	(revision 1061)
@@ -19,7 +19,7 @@
 import org.txm.searchengine.cqp.AbstractCqiClient
 import org.txm.searchengine.cqp.ReferencePattern
 import org.txm.searchengine.cqp.corpus.*
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 
 import visuAnalec.donnees.Structure
 import visuAnalec.elements.*
@@ -141,10 +141,10 @@
 		def starts = ret[0]
 		def ends = ret[1]
 		def targets = ret[2]
-		FakeQueryResult fqr = new FakeQueryResult("Fake", corpus, new Query(query), starts, ends, targets)
+		FakeQueryResult fqr = new FakeQueryResult("Fake", corpus, new CQLQuery(query), starts, ends, targets)
 
 		Concordance concordance = new Concordance(corpus);
-		concordance.setParameters(new Query(""), [word],[word],[word],
+		concordance.setParameters(new CQLQuery(""), [word],[word],[word],
 				[word],[word],[word],
 				new ReferencePattern(text_id), new ReferencePattern(text_id), 7, 10)
 
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/CheckDuplicatesInSchemasMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/CheckDuplicatesInSchemasMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/edit/CheckDuplicatesInSchemasMacro.groovy	(revision 1061)
@@ -17,7 +17,7 @@
 import org.txm.rcp.IImageKeys
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 
 import visuAnalec.elements.*
 
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/AnalecUtils.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/AnalecUtils.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/AnalecUtils.groovy	(revision 1061)
@@ -3,7 +3,7 @@
 import org.txm.searchengine.cqp.corpus.Property
 import org.txm.searchengine.cqp.corpus.Subcorpus
 import org.txm.searchengine.cqp.corpus.query.Match
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 import visuAnalec.donnees.*
 import visuAnalec.elements.*
 
@@ -99,7 +99,7 @@
  */
 static def selectUnitsInSchema(def debug, Corpus analecCorpus, org.txm.searchengine.cqp.corpus.Corpus corpus,
 		String schema_ursql, Integer minimum_schema_size, Integer maximum_schema_size,
-		String unit_ursql, Integer limit_distance_in_schema, Query limit_cql, Boolean strict_inclusion, int limit_distance) {
+		String unit_ursql, Integer limit_distance_in_schema, CQLQuery limit_cql, Boolean strict_inclusion, int limit_distance) {
 	def groupedUnits = []
 	if (schema_ursql != null && schema_ursql.length() > 0 || minimum_schema_size > 1) {
 		def allSchema = null;
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/UnitsProgressionMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/UnitsProgressionMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/UnitsProgressionMacro.groovy	(revision 1061)
@@ -25,7 +25,7 @@
 import org.txm.searchengine.cqp.AbstractCqiClient
 import org.txm.searchengine.cqp.corpus.*
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 import org.txm.rcp.Application
 import org.txm.rcp.IImageKeys
 
@@ -94,7 +94,7 @@
 	if (schema_ursql != null && schema_ursql.length() > 0) { if (query.length() > 0) query += " & "; query += ""+schema_ursql+ " >"}
 	if (unit_ursql != null && unit_ursql.length() > 0) query += " "+unit_ursql
 	if (query == "") query = corpus.getName()
-	query = new Query(query)
+	query = new CQLQuery(query)
 	int[] starts = new int[selectedUnits.size()];
 	int[] ends = new int[selectedUnits.size()];
 	def unitsinformations = []
@@ -124,7 +124,7 @@
 		for (def v : propvalues.keySet().sort()) {
 			selectedUnits = propvalues[v]
 			query = corpus.getName()+" "+limit_cql
-			query = new Query(v)
+			query = new CQLQuery(v)
 			starts = new int[selectedUnits.size()];
 			ends = new int[selectedUnits.size()];
 			unitsinformations = []
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/EmptyPropValuesMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/EmptyPropValuesMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/EmptyPropValuesMacro.groovy	(revision 1061)
@@ -16,7 +16,7 @@
 import org.txm.analec.*
 import org.txm.searchengine.cqp.AbstractCqiClient
 import org.txm.searchengine.cqp.corpus.*
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 
 import visuAnalec.donnees.Structure
 import visuAnalec.elements.*
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/UnitsCorrelationMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/UnitsCorrelationMacro.groovy	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/misc/UnitsCorrelationMacro.groovy	(revision 1061)
@@ -17,7 +17,7 @@
 import org.txm.rcp.commands.*
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.searchengine.cqp.corpus.*
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 import visuAnalec.donnees.*
 import visuAnalec.elements.*
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 1061)
@@ -50,7 +50,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 import org.txm.analec.Messages;
 import visuAnalec.Message;
@@ -983,7 +983,7 @@
 		if (id != null) {
 
 		}
-		QueryResult r = c.query(new Query("[_.text_id=\""+panel.getEdition().getText().getName()+"\" & id=\""+id+"\"]"), "TMP", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		QueryResult r = c.query(new CQLQuery("[_.text_id=\""+panel.getEdition().getText().getName()+"\" & id=\""+id+"\"]"), "TMP", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		List<Match> matches = r.getMatches();
 		if (matches.size() == 0) {
 			System.out.println(Messages.UnitToolbar_59+id);
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 1061)
@@ -48,7 +48,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
@@ -808,7 +808,7 @@
 		if (id != null) {
 
 		}
-		QueryResult r = c.query(new Query("[_.text_id=\""+panel.getEdition().getText().getName()+"\" & id=\""+id+"\"]"), "TMP", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		QueryResult r = c.query(new CQLQuery("[_.text_id=\""+panel.getEdition().getText().getName()+"\" & id=\""+id+"\"]"), "TMP", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		List<Match> matches = r.getMatches();
 		if (matches.size() == 0) {
 			System.out.println("Error no word found for id="+id);
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/URSAnnotationToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/URSAnnotationToolbar.java	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/URSAnnotationToolbar.java	(revision 1061)
@@ -28,7 +28,7 @@
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
@@ -148,7 +148,7 @@
 
 	protected int[] getStartEndWordPositions(MainCorpus c, String[] ids, String text_name) throws CqiClientException {
 		//System.out.println("IDS="+Arrays.toString(ids));
-		Query query = new Query("[_.text_id=\""+text_name+"\" & id=\""+StringUtils.join(ids, "|")+"\"]"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		CQLQuery query = new CQLQuery("[_.text_id=\""+text_name+"\" & id=\""+StringUtils.join(ids, "|")+"\"]"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		QueryResult result = c.query(query, "TMP", false); //$NON-NLS-1$
 		List<Match> matches = result.getMatches();
 		int start, end;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java	(revision 1061)
@@ -49,7 +49,7 @@
 import org.txm.searchengine.cqp.corpus.FakeQueryResult;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
@@ -491,7 +491,7 @@
 			i++;
 		}
 
-		FakeQueryResult fqr = new FakeQueryResult("SearchViewLink", toolbar.getCQPCorpus(), new Query(""), 
+		FakeQueryResult fqr = new FakeQueryResult("SearchViewLink", toolbar.getCQPCorpus(), new CQLQuery(""), 
 				starts, ends, targets);
 
 		HashSet<Integer> sizes = new HashSet<Integer>();
@@ -504,7 +504,7 @@
 		List<WordProperty> viewProperties = Arrays.asList(corpus.getWordProperty());
 		ReferencePattern ref = new ReferencePattern(corpus.getStructuralUnit("text").getProperty("id"));
 		final Concordance concordance = new Concordance(corpus);
-		concordance.setParameters(new Query(""), 
+		concordance.setParameters(new CQLQuery(""), 
 				viewProperties, viewProperties, viewProperties,
 				viewProperties, viewProperties, viewProperties, 
 				ref, ref, 
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/imports/AnalecAnnotationsImporter.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/imports/AnalecAnnotationsImporter.java	(revision 1060)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/imports/AnalecAnnotationsImporter.java	(revision 1061)
@@ -23,7 +23,7 @@
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.donnees.Corpus;
@@ -168,7 +168,7 @@
 			if (elementProperties.containsKey(ana)) {
 
 				try {
-					Query query = new Query("[_.text_id=\""+textid+"\" & id=\""+deb+"|"+fin+"\"]");
+					CQLQuery query = new CQLQuery("[_.text_id=\""+textid+"\" & id=\""+deb+"|"+fin+"\"]");
 					QueryResult result = mainCorpus.query(query, "TMP", true);
 					int[] starts = result.getStarts();
 					result.drop();
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 1060)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 1061)
@@ -32,7 +32,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.links.rcp.handlers.SendSelectionToQueryable;
 import org.txm.rcp.editors.IEditionEditor;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * Sends the selected text of an edition to compute another command.
@@ -49,7 +49,7 @@
 		IEditionEditor editor = (IEditionEditor) this.getActiveEditor(event);
 		String query = ((IEditionEditor)editor).getTextSelection();
 		query = query.replaceAll("\n", "").trim(); //$NON-NLS-1$ //$NON-NLS-2$
-		query = "\"" + Query.addBackSlash(query) + "\""; //$NON-NLS-1$ //$NON-NLS-2$
+		query = "\"" + CQLQuery.addBackSlash(query) + "\""; //$NON-NLS-1$ //$NON-NLS-2$
 		return query;
 	}
 	
